    Return the prior function for a parameter (MCMC).

get_prior(par)
par - a `Parameter` instance

The default behavior of the pyBLoCXS MCMC sampler (run by the

`get_draws` function) is to use a flat prior for each parameter. The `get_prior` routine finds the current prior assigned to a parameter, and `set_prior` is used to change it.

>>> prior = get_prior(bgnd.c0) >>> print(prior)

PARAMETERS

The parameter for this function is:

Parameter
Definition
par
A parameter of a model instance.

The return value from this function is:

The parameter prior set by a previous call to `set_prior` . This may be a function or model instance.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023